Debian Bug report logs - #390391
amavisd-new-milter: empty package on several architectures [sudo and $(PWD)]

version graph

Package: amavisd-new-milter; Maintainer for amavisd-new-milter is (unknown);

Reported by: Niko Tyni <ntyni@iki.fi>

Date: Sat, 30 Sep 2006 22:03:38 UTC

Severity: grave

Tags: fixed, patch

Found in version amavisd-new/1:2.4.2-1

Fixed in versions amavisd-new/1:2.4.2-2, amavisd-new/1:2.6.0.dfsg-2, amavisd-new/1:2.6.1.dfsg-1

Done: peter green <plugwash@p10link.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@debian.org>:
Bug#390391; Package amavisd-new-milter. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@iki.fi>:
New Bug report received and forwarded. Copy sent to Brian May <bam@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@iki.fi>
To: submit@bugs.debian.org
Subject: amavisd-new-milter: empty package on several architectures [sudo and $(PWD)]
Date: Sun, 1 Oct 2006 00:51:47 +0300
Package: amavisd-new-milter
Version: 1:2.4.2-1
Severity: grave
Justification: renders package unusable
Tags: patch

Hi,

as seen on packages.debian.org [1], your package is missing the actual
binaries on alpha, mips and mipsel. These are the architectures whose
buildds use sudo instead of fakeroot.

The problem is that debian/rules is installing files into $(PWD)/debian,
but $(PWD) is unset when building with sudo. A proposed fix is to
use $(CURDIR), which is set by make, instead of $(PWD), which is set
by the shell and filtered out by sudo.

[1] http://packages.debian.org/unstable/mail/amavisd-new-milter

Cheers,
-- 
Niko Tyni               ntyni@iki.fi



Tags added: fixed Request was from madduck@debian.org (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Henrique de Moraes Holschuh <hmh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 390391-close@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: 390391-close@bugs.debian.org
Subject: Bug#390391: fixed in amavisd-new 1:2.4.2-2
Date: Thu, 12 Oct 2006 10:02:14 -0700
Source: amavisd-new
Source-Version: 1:2.4.2-2

We believe that the bug you reported is fixed in the latest version of
amavisd-new, which is due to be installed in the Debian FTP archive:

amavisd-new-milter_2.4.2-2_i386.deb
  to pool/main/a/amavisd-new/amavisd-new-milter_2.4.2-2_i386.deb
amavisd-new_2.4.2-2.diff.gz
  to pool/main/a/amavisd-new/amavisd-new_2.4.2-2.diff.gz
amavisd-new_2.4.2-2.dsc
  to pool/main/a/amavisd-new/amavisd-new_2.4.2-2.dsc
amavisd-new_2.4.2-2_all.deb
  to pool/main/a/amavisd-new/amavisd-new_2.4.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 390391@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Henrique de Moraes Holschuh <hmh@debian.org> (supplier of updated amavisd-new package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 12 Oct 2006 13:42:29 -0300
Source: amavisd-new
Binary: amavisd-new amavisd-new-milter
Architecture: source all i386
Version: 1:2.4.2-2
Distribution: unstable
Urgency: medium
Maintainer: Brian May <bam@debian.org>
Changed-By: Henrique de Moraes Holschuh <hmh@debian.org>
Description: 
 amavisd-new - Interface between MTA and virus scanner/content filters
 amavisd-new-milter - Interface between sendmail-milter and amavisd-new
Closes: 386366 389871 390391
Changes: 
 amavisd-new (1:2.4.2-2) unstable; urgency=medium
 .
   * Acknowledge NMU: closes: #390391
   * amavisd-new-cronjob: enforce the shell when running as root,
     otherwise the cronjobs are not run if the amavis user has no shell
     (which might happen in certain installs inheriting existing amavis
     users, or due to local admin setup changes).  Thanks to Aaron Isotton
     <aaron@isotton.com> for the patch (closes: #389871)
   * amavisd-new-cronjob: fix misquoting when not running as root,
     which caused spurious cron emails (closes: #386366)
   * Provide a amavis entry in /etc/aliases due to cronjobs, pointing to
     root.  Of course, if one already exists, none is added
   * debian/control: amavisd-new needs to depend on
     exim4 | mail-transport-agent because of the aliases stuff
   * debian/control: make amavisd-new-milter binNMUable, using source:Version
     and adding a versioned build-dependency on dpkg-dev (>= 1.13.19)
   * debian/control: add build-dependency on po-debconf, thanks Lintian!
Files: 
 f877558985ee8a6a9a73968e84bc4511 992 mail extra amavisd-new_2.4.2-2.dsc
 eaf93ea87c5311c841e89950cf09f8c7 69380 mail extra amavisd-new_2.4.2-2.diff.gz
 b1ff7391b961c4b18c7f6ebdb019d8d9 592560 mail extra amavisd-new_2.4.2-2_all.deb
 a0a6c23a11365ef3599dcba8f2e394ab 30508 mail extra amavisd-new-milter_2.4.2-2_i386.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQEVAwUBRS5w+IjztdzjjnrPAQInGwf6AgXKJ6zkN9T932bwpXCq1U+7FEqZ5FrT
Dqs52EXzSbSeFy7iub54Iqs6R4pmRUTrg+nuQ/TpJtgRSFuVv86KzLHDdjVGuLN6
IT4/nnDE/kUZlw1uw7/b0YrwpCIQyg3k2kjbocQEOvF1UKgM/44DzI40TQ2TEmFm
dHx3B8aoJnhRuLY14ToixBG8iMAR+d/7PkCzexlvn+IJEmWTRlH5ppA2VhtDKvPQ
7hVHitZljv3wq06P904yYz/I5aFaUNkOYl+A31poFSZt3ljqf6rNTfqPR6rAROMp
Prg8Q1RTyBecdzbt5hUCQYoLErwH/X7eELCeVYErjbk9+r+5Ms8eCg==
=K8jz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 03:47:06 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to controlbugs.debian.org. (Sat, 09 Aug 2008 17:48:25 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1:2.6.0.dfsg-2, send any further explanations to Niko Tyni <ntyni@iki.fi> Request was from peter green <plugwash@p10link.net> to controlbugs.debian.org. (Sun, 10 Aug 2008 02:21:05 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1:2.6.1.dfsg-1, send any further explanations to Niko Tyni <ntyni@iki.fi> Request was from peter green <plugwash@p10link.net> to controlbugs.debian.org. (Sun, 10 Aug 2008 02:21:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Sep 2008 07:40:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:42:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.